<?php
  //////////////////////////////////////////////////////////////////////////////
  // CMS Ortus
  // 2007 (C) Fedortchenko A.A. (antf@inbox.ru, antf@pochta.ru)
  //   
  //////////////////////////////////////////////////////////////////////////////



  //////////////////////////////////////////////////////////////////////////////
  //     [CONTENT]    
  // $gl_page
  //////////////////////////////////////////////////////////////////////////////

  if(!empty($gl_page))
  {
    // 
    $path = "{$gl_path_to_root}content/{$gl_page}/{$gl_page}.inc";
    if(file_exists($path))
      include($path);
    //    
    else
    {
      $query = "SELECT title
                  FROM {$gl_db_prefix}parts_items
                 WHERE id_item = {$gl_page}";
      $pg_title = db_select_one($query);
      print "<h1>{$pg_title}</h1><p>{$l_pages[1]}</p>";
      return;
    }

    // ""
    if($gl_group == 'editors' || $gl_group == 'admin')
      print "<p><a href='index.php?mod=pages_text&ed_opt=blocks_list&amp;pg={$gl_page}&amp;new_page=1' class='Mustred'>{$l_gen[25]}</a></p>";
  }

  //////////////////////////////////////////////////////////////////////////////
  //      [CONTENT]    
  // $gl_mod
  //////////////////////////////////////////////////////////////////////////////

  if(!empty($gl_mod))
  {
    // 
    switch($gl_mod)
    {
      case 'auth':            include("{$gl_path_to_engine}auth/auth_form_on_page.inc");  break;

      case 'users_add':       include("{$gl_path_to_engine}users/users_add.inc");  break;
      case 'users_added':     include("{$gl_path_to_engine}users/users_added.inc");  break;
      case 'users_descr':     include("{$gl_path_to_engine}users/users_descr.inc");  break;
      case 'users_list_pub':      include("{$gl_path_to_engine}users/users_list_pub.inc");  break;
      case 'users_edit_pub':      include("{$gl_path_to_engine}users/users_edit_pub.inc");  break;
      case 'users_chpsw_pub':     include("{$gl_path_to_engine}users/users_chpsw_pub.inc");  break;
      case 'users_chpsw_pub2':     include("{$gl_path_to_engine}users/users_chpsw_pub2.inc");  break;
      case 'users_activation':    include("{$gl_path_to_engine}users/users_activation.inc");  break;
      case 'users_psw_remember':    include("{$gl_path_to_engine}users/users_psw_remember.inc");  break;

      case 'pages_text':      include("{$gl_path_to_engine}pages/pages_text.inc");  break;

      case 'parts_page':      include("{$gl_path_to_engine}parts/parts_page.inc");  break;

      case 'search':          include("{$gl_path_to_engine}search/search.inc");  break;
      case 'search_tips':     include("{$gl_path_to_engine}search/search_tips.inc");  break;

      case 'sitemap':         include("{$gl_path_to_engine}sitemap/sitemap.inc");  break;


    }

    // 
    if($gl_group == 'admin')
    {
      switch($gl_mod)
      {
	        case 'users_edit':      include("{$gl_path_to_engine}users/users_edit.inc");  break;
         case 'users_del':      include("{$gl_path_to_engine}users/users_del.inc");  break;
         case 'users_chgroup':      include("{$gl_path_to_engine}users/users_chgroup.inc");  break;

         case 'pages_edit':      include("{$gl_path_to_engine}pages/pages_edit.inc");  break;
      }
    }
  }

  //////////////////////////////////////////////////////////////////////////////
  //  integration/pub_content.inc      /mods
  //////////////////////////////////////////////////////////////////////////////

  $path = "{$gl_path_to_engine_root}mods/";
  $dir = opendir($path);

  while($file = readdir($dir))
  {
    if($file != '.' && $file != '..' && is_dir("{$path}{$file}"))
    {
      if(file_exists("{$path}{$file}/integration/pub_content.inc"))
        include("{$path}{$file}/integration/pub_content.inc");
    }
  }

  closedir($dir);
?>