<?php
  //////////////////////////////////////////////////////////////////////////////
  // CMS Ortus
  // 2007 (C) Fedortchenko A.A. (antf@inbox.ru, antf@pochta.ru)
  //   
  //////////////////////////////////////////////////////////////////////////////

  //////////////////////////////////////////////////////////////////////////////
  //,    .
  //   add.inc  edit.inc
  //////////////////////////////////////////////////////////////////////////////


  // 
  $form_line_tpl = file_get_contents("{$gl_path_to_templates}forms/line1.htm");
  $tbl_section_tpl = file_get_contents("{$gl_path_to_templates}forms/tbl_section.htm");
  $form_lineobl_tpl = str_replace("{caption}:", "<span class='Mustred'>{caption}:</span>", $form_line_tpl);

  // 
  if(!empty($errors))
    print form_print_errors($errors);

  // 
  print form_begin('edit_form', '', 'post', 'multipart');

  // 
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_smiles[11],
                                                    "{field}" => form_create_input("code", $css = 'SiteFInputM', $size ='')));

  //
  print work_template($form_line_tpl,    array("{caption}" => $l_smiles[12],
                                                 "{field}" => form_create_input("emotion", $css = 'SiteFInputM', $size ='')));

  //
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_smiles[13],
                                                    "{field}" => form_create_input("pos", $css = 'SiteFInputM', $size ='')));

  //
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_smiles[14],
                                                    "{field}" => form_create_file('img_name', 'SiteFInputM', $size ='54') ));

  //
  print work_template( $form_line_tpl, array("{caption}:" => "&nbsp;",
                                                "{field}" => form_create_submit('save', $value=$l_adm_gen[3], $css = 'SiteFButton')));

  // 
  print form_create_hidden('blague', session_id());
  print form_create_hidden('id_smile', $id_smile);
  print form_create_hidden('old_pos', $old_pos);
  print form_create_hidden('old_img_name', $old_img_name);

  // 
  print form_end();


?>