<?php
  //////////////////////////////////////////////////////////////////////////////
  // CMS Ortus
  // 2007 (C)  .. (antf@inbox.ru, antf@pochta.ru)
  //////////////////////////////////////////////////////////////////////////////

  //////////////////////////////////////////////////////////////////////////////
  //  
  //////////////////////////////////////////////////////////////////////////////

  error_reporting(E_ALL & ~E_NOTICE);
  session_start();

?>
<html>
	 <head>
	   <title>CMS Ortus :: install</title>
    <link rel="stylesheet" href="../css/format.css" type="text/css" />
    <link rel="stylesheet" href="../css/main.css" type="text/css" />
	 </head>
	 <body>
  <div class='Content' style='margin-top:20px; height:500px'>
<?php

  //////////////////////////////////////////////////////////////////////////////
  //  
  //////////////////////////////////////////////////////////////////////////////

  include("../engine/common/db_func.inc");
  include("../engine/common/forms_func.inc");
  include("../engine/common/func.inc");
  include("../langfiles/install.inc");


  //////////////////////////////////////////////////////////////////////////////
  //  
  //////////////////////////////////////////////////////////////////////////////

  if(!empty($_POST))
  {
    //  
    $s_db_name     = correct_input($_POST['s_db_name']);
    $s_db_user     = correct_input($_POST['s_db_user']);
    $s_db_psw      = correct_input($_POST['s_db_psw']);
    $s_db_server   = correct_input($_POST['s_db_server']);
    $s_db_encoding = correct_input($_POST['s_db_encoding']);
    $s_db_prefix   = correct_input($_POST['s_db_prefix']);

    if(empty($s_db_name))
      $errors[] = $l_install[15];
    if(empty($s_db_server))
      $errors[] = $l_install[16];
    if(empty($s_db_user))
      $errors[] = $l_install[17];

    //    
    $str = "<?php\r\n";
    $str .= "  db_connect(\"{$s_db_server}\", \"{$s_db_user}\", \"{$s_db_psw}\", \"{$s_db_name}\", \"{$s_db_encoding}\"); \r\n";
    $str .= "?>";
    save_in_file("../config/db_connect.inc", $str, 'w');

    // .   
    $str = "<?php\r\n";
    $str .= "  \$gl_site_name = 'main';\r\n";
    $str .= "  \$gl_path_to_engine_root = ''; \r\n";
    $str .= "  \$gl_is_main_site = 'yes'; \r\n";
    $str .= "  \$gl_db_prefix = '{$s_db_prefix}'; \r\n";
    $str .= "?>";
    save_in_file("../config/site_conf.inc", $str, 'w');

    //  
    if(empty($errors))
    {
      $db1   = mysql_connect($s_db_server, $s_db_user, $s_db_psw, $s_db_encoding);
	     mysql_query("SET NAMES '{$s_db_encoding}'");
	     mysql_query ("set character_set_client='{$s_db_encoding}'");
      mysql_query ("set character_set_results='{$s_db_encoding}'");
	     mysql_query ("set collation_connection='{$s_db_encoding}_general_ci'");
      if($db1)
      {
        //   
        $db_list = mysql_list_dbs($db1);
        while ($row = mysql_fetch_object($db_list))
        {
          $dbs[] = $row->Database;
        }

        // ,   
        if(!in_array($s_db_name, $dbs))
        {

          $query = "CREATE DATABASE {$s_db_name} DEFAULT CHARACTER SET {$s_db_encoding}; ";
          $res = mysql_query($query, $db1);
          if(mysql_affected_rows($db1) < 1)
            $errors[] = "{$l_install[7]} {$s_db_name}.";
        }
        mysql_select_db($s_db_name, $db1);

        // 
        $dump = file_get_contents("dump.sql");
        $dump = explode("#is_separator", $dump);

        $cnt = count($dump);
        for($i = 0; $i < $cnt; $i++)
        {
          if(!empty($dump[$i]))
          {
            $dump[$i] = str_replace("CREATE TABLE `", "CREATE TABLE `{$s_db_prefix}", $dump[$i]);
            $dump[$i] = str_replace("INSERT INTO `",  "INSERT INTO `{$s_db_prefix}",  $dump[$i]);


            $res = mysql_query($dump[$i], $db1);
            if($i != 0)
            	 if(!$res)
	               $errors[] = "{$l_install[8]} {$dump[$i]} <br>".mysql_error();
          }
        }

      } else "{$l_install[9]} {$s_db_server}";
      mysql_close($db1);

      // 
      if(!empty($errors))
        print form_print_errors($errors);

      //    
      print "<h1>{$l_install[10]}</h1>" ;
      print "<p>{$l_install[11]}</p>";
      print "<p><a href='../index.php?adm=main' target='_blank'>{$l_install[12]}</a></p>";
      print "<p><a href='../index.php' target='_blank'>{$l_install[13]}</a></p>";
      return;
    }
  }


  //////////////////////////////////////////////////////////////////////////////
  // 
  //////////////////////////////////////////////////////////////////////////////

  //
  print "<h1>{$l_install[1]}</h1>";

  //  
  if(empty($s_db_prefix))
    $s_db_prefix = "ortus_";

  // 
  $form_line_tpl   = file_get_contents("../templates/forms/line1.htm");
  $tbl_section_tpl = file_get_contents("../templates/forms/tbl_section.htm");
  $form_lineobl_tpl = str_replace("{caption}:", "<span class='Mustred'>{caption}:</span>", $form_line_tpl);

  //  
  $db_enc_options = "
                     <option value='utf8'>UTF-8 Unicode</option>
                     <option value='cp1251'>Windows Cyrillic</option>
                     <option value='latin1'>cp1252 West European </option>
                     <option value='koi8r'>KOI8-R Relcom Russian</option>
	                    <option value='latin2'>ISO 8859-2 Central European</option>
	                    <option value='ascii'>US ASCII</option>
	                    <option value='hebrew'>ISO 8859-8 Hebrew</option>
	                    <option value='koi8u'>KOI8-U Ukrainian </option>
	                    <option value='greek'>ISO 8859-7 Greek </option>
	                    <option value='cp1250'>Windows Central European </option>
	                    <option value='armscii8'>ARMSCII-8 Armenian</option>
	                    <option value='cp866'>DOS Russian</option>
	                    <option value='cp1256'>Windows Arabic</option>
	                    <option value='cp1257'>Windows Baltic</option>
	                    <option value='geostd8'>GEOSTD8 Georgian</option>
                    ";
  //


  // 
  print form_begin('edit_form', '', 'post', 'multipart');

  //  
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_install[2],
                                                  "{field}" => form_create_input("s_db_server", $css = 'SiteFInputM', $size ='')));

  // 
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_install[3],
                                                  "{field}" => form_create_input("s_db_name", $css = 'SiteFInputM', $size ='')));

  // 
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_install[4],
                                                  "{field}" => form_create_input("s_db_user", $css = 'SiteFInputM', $size ='')));

  // 
  print work_template($form_line_tpl,    array("{caption}" => $l_install[5],
                                                  "{field}" => form_create_input("s_db_psw", $css = 'SiteFInputM', $size ='')));

  //   
  print work_template($form_lineobl_tpl, array("{caption}" => $l_install[18],
                                               "{field}" => form_create_select("s_db_encoding", $db_enc_options, $css = 'SiteFInputM', $size ='') ));

  //  
  print work_template($form_line_tpl, array("{caption}" => $l_install[19],
                                                 "{field}" => form_create_input("s_db_prefix", $css = 'SiteFInputM', $size ='')));

  //
  print work_template( $form_line_tpl, array("{caption}:" => "&nbsp;",
                                               "{field}" => form_create_submit('save', $value=$l_install[6], $css = 'SiteFButton')));

  // 
  print form_end();

  //
  //print "<p><a href='index.php?adm=sites_list'>{$l_sites[22]}</a></p>";
  //print "<p><a href='index.php?adm=main'>{$l_adm_gen[1]}</a></p>";
?>
</div>
<div class='Footer'>
    CMS Ortus<br />Copyright&nbsp;<a href='mailto:antf@inbox.ru'><?php echo $l_install[14]?></a>
</div>
</body>

</html>