<?php
  //////////////////////////////////////////////////////////////////////////////
  // CMS Ortus
  // 2007 (C) Fedortchenko A.A. (antf@inbox.ru, antf@pochta.ru)
  //   
  //////////////////////////////////////////////////////////////////////////////

  //////////////////////////////////////////////////////////////////////////////
  //    
  //////////////////////////////////////////////////////////////////////////////


  //    ,     form
  function form_begin($name, $action, $method = 'post', $enctype = '', $tbl_width = 440)
  {
    $str = "<form method='{$method}' name='{$name}' action='{$action}' ";
    if($enctype == 'multipart')
      $str .= " enctype='multipart/form-data'";
    $str .= "><table class='SiteFTbl' style='margin-left:0px' cellspacing='0' cellpadding='0' border='0' width='{$tbl_width}'>";
    return $str;
  }

  //   ,  
  function form_end()
  {
    return "</table></form>";
  }

  //   text   $name,  $$name
  //$css - css- 
  //$size -    
  function form_create_input($name, $css = '', $size ='')
  {
    global $$name;
    $input = "<input type='text' name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}'";
    if(!empty($size))
      $input .= " size='{$size}'";
    $input .= " value=\"".$$name."\" />";
    return $input;
  }

  //   select   $name   $options
  //$css - css- 
  //$size -    
  //$onClick -  js  onClick
  function form_create_select($name, $options, $css = '', $size ='', $onClick = '')
  {

    $input = "<select name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}'";
    if(!empty($size))
      $input .= " size='{$size}'";
    if(!empty($onClick))
      $input .= " onClick=\"{$onClick}\"";
    $input .= ">{$options}</select>";
    return $input;
  }

  //   checbox   $name
  //  $value = 'yes' checkbox 
  function form_create_checkbox($name, $value)
  {

    $input .= "<input type='checkbox' name='$name' value='yes'";
    if($value == 'yes')
      $input .= " checked";
    $input .=  " />";
    return $input;
  }

  //        $name
  //$css - css- 
  //$size -    
  function form_create_file($name, $css = '', $size ='')
  {
    $input = "<input type='file' name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}' ";
    if(!empty($size))
      $input .= " size='{$size}'";
    $input .= " />";
    return $input;
  }

  //    password   $name
  //$css - css- 
  //$size -    
  function form_create_password($name, $css = '', $size ='')
  {
    $input = "<input type='password' name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}' ";
    if(!empty($size))
      $input .= " size='{$size}'";
    $input .= " />";
    return $input;
  }


  //    password   $name
  //$rows - - 
  //$css - css- 
  function form_create_textarea($name, $rows = '5', $css = '')
  {
    global $$name;

    $input = "<textarea name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}'";
    if(!empty($rows))
      $input .= " rows='{$rows}'";
    $input .= " >".$$name."</textarea>";
    return $input;
  }

  //    submit   $name
  //$value -   
  //$css - css- 
  function form_create_submit($name, $value='', $css = '')
  {
    $input = "<input type='submit' name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}'";
    if(!empty($css))
      $input .= " value='{$value}'";
    $input .= " />";
    return $input;
  }

  //    button   $name
  //$value -   
  //$css - css- 
  //$onClick -   onClick
  function form_create_button($name, $value='', $css = '', $on_click)
  {
    $input = "<input type='button' name='{$name}'";
    if(!empty($css))
      $input .= " class='{$css}'";
    if(!empty($css))
      $input .= " value='{$value}'";
    $input .= " onClick=\"{$on_click}\" />";
    return $input;
  }

  //     $name   $value
  function form_create_hidden($name, $value)
  {
    $input = "<input type='hidden' name='{$name}' value=\"{$value}\" />";
    return $input;
  }


  // bbocodeeditor   $name   $text
  //$gl_path_to_bbcodeeditor -    bbcodeeditor
  //$mode - small (   ) /    (  )
  //$css - css- 
  //$rows - - 
  //;url_for_images - url     
  function form_create_bbcodeeditor($gl_path_to_bbcodeeditor, $mode, $name, $text, $css, $rows, $url_for_images)
  {

    $editor = file_get_contents("{$gl_path_to_bbcodeeditor}bbcodeeditor_{$mode}.htm");

    $editor = str_replace("{url_for_images}", $url_for_images, $editor);
    //$editor = str_replace("{value}", $value, $editor);
    $editor = str_replace("{name}", $name, $editor);
    $editor = str_replace("{text}", $text, $editor);
    $editor = str_replace("{css}", $css, $editor);
    $editor = str_replace("{rows}", $rows, $editor);
    return $editor;
  }

  //   $errors
  function form_print_errors($errors)
  {
    print "<div class='Just'>";
    print implode("<br>", $errors);

    print "</div>";
  }

  // ,    $field_name   $dir
  //   $dir   $old_file_name
  //      $file_max_size (  2)
  function form_file_copy($dir, $field_name, $old_file_name = '', $file_max_size = 2097152)
  {
    global $l_gen;
    $new_file_name = $_FILES[$field_name]['name'];
    $new_file_path = "{$dir}$new_file_name";
    if(!empty($old_file_name))
      $old_file_path = "{$dir}$old_file_name";
    else
      $old_file_path = '';
    if($_FILES[$field_name]['name'] != '-')
    {

      if(file_exists($new_file_path))
      {
        if($old_file_path != $new_file_path)
        {
          $tmp = $l_gen[3];
          $tmp = str_replace("{new_file_name}", $new_file_name, $tmp);
          $tmp = str_replace("{dir}", $dir, $tmp);
          $error = $tmp;

        }
      }
      if(empty($error))
      {
        $file_tmp  = $_FILES[$field_name]['tmp_name'];
        $file_size = $_FILES[$field_name]['size'];
        $file_type = $_FILES[$field_name]['type'];
        //  
        $extentions = array("#\.php#i","#\.phtml#i","#\.php3#i","#\.html#i","#\.htm#i","#\.pl#i","#\.xml#i","#\.inc#i");
        $ext = strrchr($_FILES[$field_name]['name'], '.');
        foreach($extentions as $exten)
        {
          if(preg_match($exten, $ext))
          {
            $new_file_path = "{$new_file_path}.txt";
            $new_file_name = "{$new_file_name}.txt";
          }
        }
        //   
        ///var_dump($_FILES[$field_name]);
        if($file_size > $file_max_size)
          $error = "{$l_gen[4]} ".($file_max_size / 1024)." kb";
        else
        {
          if(!empty($old_file_name))
          {
            if(file_exists($old_file_path) && !is_dir($old_file_path))
              unlink($old_file_path);
          }
          if(!copy($file_tmp, $new_file_path))
            $error = "{$l_gen[5]} {$new_file_name} {$l_gen[6]} {$dir}.";
          else
            chmod($new_file_path, 0777);
        } //else
      }
    }
    else
    {
      $new_file_name = '';
      if(!empty($old_file_name))
        if(file_exists($old_file_path))
          unlink($old_file_path);
    }
    if(!empty($error))
      $result['error'] = $error;
    else
      $result['new_file_name'] = $new_file_name;
    return($result);
  }

  // ,    $field_name   $dir
  //   $dir   $old_img_name
  //      $img_max_size (  100)
  function form_image_copy($dir, $field_name, $old_img_name = '', $img_max_size = 102400)
  {
    global $l_gen;
    $new_img_name = $_FILES[$field_name]['name'];
    $new_img_path = "{$dir}$new_img_name";
    if(!empty($old_img_name))
      $old_img_path = "{$dir}$old_img_name";
    else
      $old_img_path = '';
    if($_FILES[$field_name]['name'] != '-')
    {

      if(file_exists($new_img_path))
      {
        if($old_img_path != $new_img_path)
        {
          $tmp = $l_gen[7];
          $tmp = str_replace("{new_img_name}", $new_img_name, $tmp);
          $tmp = str_replace("{dir}", $dir, $tmp);
          $error = $tmp;
        }
          //$error = " {$new_img_name}     {$dir}.";

      }
      if(empty($error))
      {
        $img_tmp  = $_FILES[$field_name]['tmp_name'];
        $img_size = $_FILES[$field_name]['size'];
        $img_type = $_FILES[$field_name]['type'];

        // 
        if(!preg_match("/gif|jpg|png|jpeg/", $img_type))
        {
          $error = $l_gen[8];

        }
        elseif($img_size > $img_max_size)
          $error = "{$l_gen[9]} ".($img_max_size / 1024)." {$l_gen[11]}";
        else
        {
          if(!empty($old_img_name))
          {
            if(file_exists($old_img_path) && !is_dir($old_img_path))
              unlink($old_img_path);
          }
          if(!copy($img_tmp, $new_img_path))
            $error = "{$l_gen[11]} {$new_img_name} {$l_gen[12]} {$dir}.";
          else
            chmod($new_img_path, 0777);
        } //else
      }
    }
    else
    {
      $new_img_name = '';
      if(!empty($old_img_name))
        if(file_exists($old_img_path))
          unlink($old_img_path);
    }
    if(!empty($error))
      $result['error'] = $error;
    else
    {
      $result['new_img_name'] = $new_img_name;
      // 
      $arr = getimagesize($new_img_path);

      $result['width']  = $arr[0];
      $result['height'] = $arr[1];
    }
    return($result);
  }

  //   select' <option value='{$f_id}'>{$f_caption}</option>    $tbl_name
  //$f_id -    
  //$f_caption -     
  //$cur_id -    
  //$where -  sql-,   WHERE ...
  //$order_by -  sql-,   ORDER BY ...
  function form_get_options_from_db($tbl_name, $f_id, $f_caption, $cur_id, $where = '', $order_by = '')
  {
    global $gl_db_prefix;

    $options = '';

    $query = "SELECT {$f_id}, {$f_caption}
                FROM {$gl_db_prefix}{$tbl_name} ";
    if(!empty($where))
      $query .= $where;
    if(!empty($order_by))
      $query .= $order_by;
    $results = db_select($query);

    if(is_array($results))
    {

      $cnt = count($results);
      for($i = 0; $i < $cnt; $i++)
      {
        $id = $results[$i][$f_id];
        $caption = stripslashes($results[$i][$f_caption]);

        $options .= "<option value='{$id}'";
        if($id == $cur_id)
          $options .= " selected";
        $options .= ">{$caption}</option>";
      }
    }

    return $options;
  }
?>