<?php
  //////////////////////////////////////////////////////////////////////////////
  // CMS Ortus
  // 2007 (C) Fedortchenko A.A. (antf@inbox.ru, antf@pochta.ru)
  //     
  //////////////////////////////////////////////////////////////////////////////

  //////////////////////////////////////////////////////////////////////////////
  // /  
  //   parts_items_pages_add.inc, parts_items_pages_edit.inc
  //////////////////////////////////////////////////////////////////////////////


  // 
  $form_line_tpl = file_get_contents("{$gl_path_to_templates}forms/line1.htm");
  $form_lineobl_tpl = str_replace("{caption}:", "<span class='Mustred'>{caption}:</span>", $form_line_tpl);

  // 
  if(!empty($errors))
    print form_print_errors($errors);

  // 
  print form_begin('edit_form', '', 'post', 'multipart');

  //
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_parts[54],
                                                    "{field}" => form_create_input("title", $css = 'SiteFInputM', $size ='')));

  //
  print work_template($form_lineobl_tpl,    array("{caption}" => $l_parts[55],
                                                  "{field}" => form_create_input("pos", $css = 'SiteFInputM', $size ='')));

  //
  print work_template($form_line_tpl,    array("{caption}" => $l_parts[56],
                                                  "{field}" => form_create_textarea('descr', $rows = '5', $css = 'SiteFTextareaM')));

  // 
  print work_template($form_line_tpl,    array("{caption}" => $l_parts[57],
                                                  "{field}" => form_create_textarea('keywords', $rows = '5', $css = 'SiteFTextareaM')));

  //
  print work_template( $form_line_tpl, array("{caption}:" => "&nbsp;",
                                               "{field}" => form_create_submit('save', $value=$l_adm_gen[3], $css = 'SiteFButton')));

  // 
  print form_create_hidden('blague', session_id());
  print form_create_hidden('id_part_prec', $id_spo);
  print form_create_hidden('id_item', $id_item);
  print form_create_hidden('old_pos', $old_pos);

  // 
  print form_end();


?>