﻿SELECT VERSION();

#is_separator

CREATE TABLE `menu` (
  `id_menu` int(32) NOT NULL auto_increment,
  `title` tinytext,
  `disposition` enum('vertical','horizontal') default NULL,
  `separator` tinytext NOT NULL,
  `pos` int(11) default NULL,
  PRIMARY KEY  (`id_menu`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

#is_separator

INSERT INTO `menu` (`id_menu`, `title`, `disposition`, `separator`, `pos`) VALUES
(3, 'Верхнее меню', 'horizontal', ' | ', 1);

#is_separator

CREATE TABLE `menu_items` (
  `id_item` int(32) NOT NULL auto_increment,
  `caption` tinytext,
  `url` tinytext,
  `pos` int(11) default NULL,
  `id_menu` int(11) default NULL,
  `id_item_prec` tinytext,
  PRIMARY KEY  (`id_item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=34 ;

#is_separator

INSERT INTO `menu_items` (`id_item`, `caption`, `url`, `pos`, `id_menu`, `id_item_prec`) VALUES
(30, 'скачать', 'index.php?ortupg=19', 4, 3, '0'),
(28, 'лицензия', 'index.php?ortupg=15', 2, 3, '0'),
(31, 'статьи', 'index.php?ortupg=20', 5, 3, '0'),
(25, 'документация', 'index.php?ortupg=12', 3, 3, '0'),
(32, 'обо мне', 'index.php?ortupg=22', 6, 3, '0'),
(22, 'о системе', 'index.php?ortupg=9', 1, 3, '0'),
(23, 'войти/выйти', '[ENTEREXIT]', 7, 3, '0'),
(24, 'админка', 'index.php?adm=main', 8, 3, '0');

#is_separator

CREATE TABLE `pages_blocks` (
  `id_block` int(11) NOT NULL auto_increment,
  `type` tinytext,
  `gen_type` tinytext,
  `content` text,
  `params` tinytext,
  `pos` int(11) default NULL,
  `id_pg` int(11) NOT NULL,
  PRIMARY KEY  (`id_block`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=63 ;

#is_separator

INSERT INTO `pages_blocks` (`id_block`, `type`, `gen_type`, `content`, `params`, `pos`, `id_pg`) VALUES
(55, 'h1', 'text', 'Сравнительная характеристика CMS Ortus и CMS Proteus', '', 1, 21),
(56, 'p_just', 'text', '<table style=''margin-top:10px'' class=''SiteTbl'' width=''800'' cellspacing=''0'' cellpadding=''0'' border=''0''>\r\n  <tr>\r\n    <td class=''SiteTblTH''>Показатель</td>\r\n    <td class=''SiteTblTH''>CMS Proteus</td>\r\n    <td class=''SiteTblTH''>CMS Ortus</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Идеология</td>\r\n    <td class=''SiteTblLeft''>Разрабатывая CMS Proteus, я хотел создать для себя и других универсальный конструктор сайтов любой сложности и формы. Этого достигнуть мне не удалось, поскольку нельзя объять необъятное. В результате получился несколько громоздкий в плане кода и интерфейса продукт, который проигрывает (в моем случае) индивидуальным разработкам на основе сэмплов (web-мастера незнакомые с php возможно скажут иначе).</td>\r\n    <td class=''SiteTblLeft''>Я больше не буду стараться создавать универсальный инструмент. Движок CMS ориентируется на самые распространенные случаи и не стремится объять необъятное. CMS Ortus писалась с 0 на основе simpl''ов, которые я использую в разработке, поэтому является более практичной. Сравните размер дистрибутивов и кол-во таблиц в базе данных.  Разработка CMS Ortus - мое хобби, есть желание создать востребованное приложение и представить его за границей.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Направление развития</td>\r\n    <td class=''SiteTblLeft''>Универсальность. Ориентация на сайт любой сложности. Попытка преодолеть, связанные с этим ограничения. Стремление разработать как можно больше модулей для расширения функционала. Поощрялось двойное назначение модулей (новости = статьи). Модули разрабатывались в ускоренном порядке.</td>\r\n    <td class=''SiteTblLeft''>Ориентация на информационный сайт малой и средней величины. Модули  также будут разрабатываться, но без спешки. Узкоспециализированная направленность модулей.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Сроки создания</td>\r\n    <td class=''SiteTblLeft''>1.5 - 2 года. CMS несколько раз перестраивалась, терпела большие концептуальные изменения. </td>\r\n    <td class=''SiteTblLeft''>1.5 месяца с перерывами.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Шаблоны сайта</td>\r\n    <td class=''SiteTblLeft''>В 4.0 - 1 шаблон сайта.<br>В 5.0 - планировалась несколько шаблонов с выборкой по контексту</td>\r\n    <td class=''SiteTblLeft''>Несколько шаблонов сайта с выборкой по контексту.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Темы</td>\r\n    <td class=''SiteTblLeft''>Планировались в 5.0</td>\r\n    <td class=''SiteTblLeft''>Зачем нужны темы, если есть шаблоны сайта, к которым можно подключить разные css-файлы?</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Система управления страницами</td>\r\n    <td class=''SiteTblLeft''>На одной странице выводился список всех страниц сайта, что неудобно при большом их количестве. Разбиение страниц по категориям. Поддержка подкатегорий отсутствует. Возможность установить права на категорию. Для организации иерархии документов сайта было удобнее использовать конструктор меню.</td>\r\n    <td class=''SiteTblLeft''>Полноценная система управления разделами. Распределение страниц по разделам. Неограниченная вложенность подразделов. Перенос документов из одного раздела в другой. Установка прав на раздел. Поиск страниц.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Редактор страниц</td>\r\n    <td class=''SiteTblLeft''>В 4.0 используется Spaw Editor. В 5.0 Планировалось наладить поддержку еще нескольких редакторов. Также для редактирования страниц можно было использовать bb-теги и html</td>\r\n    <td class=''SiteTblLeft''>Полный отказ от использования визуальных редакторов, поскольку они ненадежны. В систему встроен блочный редактор Antf Blockeditor. В его арсенале можно найти абзацы с различным выравниванием, заголовки, списки расширенные функции форматирования изображений. Редактор также умеет загружать файлы на сервер и форматировать таблицы (необходимо загрузить урезанную версию Spaw) А что еще нужно для редактирования страницы?</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Система шаблонов</td>\r\n    <td class=''SiteTblLeft''>Желание прошаблонить все и вся. Очень подробная, сложная и громоздкая система шаблонов.</td>\r\n    <td class=''SiteTblLeft''>Упрощенная, но более практичная система шаблонов.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Многоязыковая поддержка</td>\r\n    <td class=''SiteTblLeft''>Возможность создать сайт на нескольких языках. Возможность перевести интерфейс.</td>\r\n    <td class=''SiteTblLeft''>Возможность создать сайт на нескольких языках через многосайтовость (что мало усложняет код). Возможность перевести интерфейс.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Система управления областями сайта (инфоблоками)</td>\r\n    <td class=''SiteTblLeft''>Неограниченное количество областей сайта, куда вставлялись различные модули. Элементы располагались один под другим.</td>\r\n    <td class=''SiteTblLeft''>Отсутствуют как таковые. Нужные эффекты достигаются с помощью фрагментов кода и редактирования основного шаблона.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Подход к документации</td>\r\n    <td class=''SiteTblLeft''>Хотел написать объемные многостраничные руководства для дизайнера, программиста и пользователя. В результате, не написал ничего.</td>\r\n    <td class=''SiteTblLeft''>Опора на руководства how to и статьи по отдельным вопросам.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Разграничение пользовательских прав</td>\r\n    <td class=''SiteTblLeft''>Система разграничения пользовательских прав, основанная на группах. Количество групп неограниченно. Очень детально разработанная система прав и привилегий пользователей, позволяла определить права почти на каждое действие в системе. Я думал, что такая подробная система станет коньком Proteus''a, однако именно она вызывала больше всего вопросов и нареканий со стороны пользователей. Не слышал о ней ничего положительного. К тому слишком много приходится работать мышкой.</td>\r\n    <td class=''SiteTblLeft''>Система разграничения пользовательских прав, основанная на группах. Набор групп и их прав строго задан для основного дистрибутива: админы - полная власть над системой, редакторы - могут редактировать указанные разделы, можно запрещать просмотр некоторых разделов для пользователей и незарегистрированных пользователей. Модули могут иметь свои группы для распределения по ним уже зарегистрированных пользователей (например, на форуме появятся модераторы).</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Многосайтовость</td>\r\n    <td class=''SiteTblLeft''>Планировалась в версии 5.0</td>\r\n    <td class=''SiteTblLeft''>Реализована</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Блокирование функций</td>\r\n    <td class=''SiteTblLeft''>Интерфейс, позволяющий заблокировать любые опции в системе. Еще один невостребованный конек системы + значительное увеличение сложности кода.</td>\r\n    <td class=''SiteTblLeft''>Не реализовано.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Установка в поддиректорию</td>\r\n    <td class=''SiteTblLeft''>Планировалоысь в 5.0</td>\r\n    <td class=''SiteTblLeft''>Реализовано</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Конструктор меню</td>\r\n    <td class=''SiteTblLeft''>Есть</td>\r\n    <td class=''SiteTblLeft''>Есть</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Интеграция с веб-приложениями сторонних разработчиков</td>\r\n    <td class=''SiteTblLeft''>Поддержка php-кода на страницах и в шаблонах сайта создает широкие возможности для интеграции системы с приложениями сторонних разработчиков.</td>\r\n    <td class=''SiteTblLeft''>Поддержка php-кода на страницах и в шаблонах сайта создает широкие возможности для интеграции системы с приложениями сторонних разработчиков.</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Редактор шаблонов и CSS</td>\r\n    <td class=''SiteTblLeft''>Планировались в 5.0</td>\r\n    <td class=''SiteTblLeft''>Реализовано</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Организация системы администрирования</td>\r\n    <td class=''SiteTblLeft''>Отдельная админка для модулей и основного дистрибутива.</td>\r\n    <td class=''SiteTblLeft''>Отдельная админка для основной части, функции администрирования модулей выносятся в пользовательскую часть.</td>\r\n  </tr>\r\n</table>', '', 3, 21),
(39, 'p_just', 'text', '<h1>Соглашение об использовании CMS Ortus</h1>\r\n<p>CMS Ortus - бесплатная, c открытым исходным кодом, система управления сайтами. Распространяется в соответствии с <a href=''http://www.gnu.org/home.ru.html''>GNU General Public 2</a>.</p>\r\n<h2>Вы можете:</h2>\r\n<ul>\r\n<li>Полностью видоизиенять (модифицировать) код под свои нужды. </li>\r\n<li>Разместить ссылку на авторов в любом месте, не в ущерб общему дизайну. </li>\r\n<li>Сообщать по контактным E-Mail об ошибках, предложениях в улучшении работы CMS и просто благодарности (вспомните данная CMS бесплатна и автор, просто теряет личное время). </li>\r\n<li>Помочь, развитию проекта, поместив созданный Вами сайт на основе CMS в наш каталог. Для этого свяжитесь с автором по e-mail, воспользуйтесь гостевой книгой или оставьте сообщение на форуме Softtime.</li>\r\n</ul>\r\n\r\n<h2>Вы не можете:</h2>\r\n\r\n<ul>\r\n<li>Использовать CMS Ortus для действий, нарушающих законы какой-либо страны или международные законы. </li>\r\n<li>Использовать CMS Ortus  для действий, нарушающих авторские и имущественные права каких-либо лиц. </li>\r\n<li>Удалять авторское право создателей CMS в виде текстовой ссылки формата Powered by CMS Ortus.</li>\r\n</ul>\r\n\r\n<p><i>Все права на материалы, находящиеся на сайте CMS Ortus принадлежат владельцам данного сайта и охраняются Российским и международным законодательством об авторском праве. Мы уверены, что наши посетители и партнеры с уважением относятся к объектам интеллектуальной собственности и соблюдают положения действующего Российского и международного законодательства по авторским правам. </i></p>', '', 1, 15),
(31, 'p_just', 'text', '<?php include("mods/news/news_list.inc") ?>', '', 1, 16),
(32, 'p_just', 'text', '<br>', '', 2, 16),
(33, 'h1', 'text', 'О системе', '', 1, 9),
(34, 'p_just', 'text', 'Ortus - с латинского переводится как рассвет.', '', 2, 9),
(35, 'h2', 'text', 'Функциональные возможности', '', 3, 9),
(36, 'ul_mark', 'list', 'Распределение страниц по разделам, предусмотрена иерархическая структура разделов с неограниченной вложенностью элементов. Возможность выбрать шаблон сайта для раздела. Возможность установить права доступа на раздел. Перенос разделов. Поиск страниц по заголовку и id.\r\nРедактирование страниц с помощью Antf Blockeditor. Поддержка заголовков, абзацев с различным форматированием, списков, фотоальбомов, загрузка файлов, форматирование таблиц (урезанный Spaw Editor, поставляется отдельно).\r\nВозможность указать заголовок, ключевые слова, описание для каждой страницы. Возможность переноса страницы в другой раздел. Возможность посмотреть относительный и абсолютный url страницы.\r\nПоддержка нескольких шаблонов сайта. Выборка нужно шаблона в зависимости от контекста.\r\nКонструктор меню. Поддержка вертикальных и горизонтальных меню. Меню экспортируются в карту сайта.\r\nРаспределение пользователей по группам: незарегистрированные пользователи (можно запретить им посещать выбранные разделы), редакторы (могут редактировать страницы указанных разделов), админы (их власть над системой неограниченна). Такое разграничение принято в основном дистрибутиве. Модули могут иметь свои группы и распределять по ним уже зарегистрированных на сайте пользователей (модераторы / пользователи / незарег. пользователи для форума).\r\nСистема регистрации пользователей с фиксированными полями формы: имя, логин, пароль, e-mail, телефон, сайт, icq, город, организация, доп. инфо. Поддержка функции смены профиля админом и самим пользователем. Список пользователей с командами администрирования и поиском. Функция запомнить пароль (COOKIE).\r\nПоддержка установки в поддиректорию.\r\nМногосайтовость. Ведомый сайт может находится как на отдельном хосте, так и в поддиректории. Для каждого создается своя база данных. Использование механизма многосайтовости для представления содержимого на нескольких языках.\r\nМногоязыковая поддержка. Возможность перевести интерфейс на несколько языков (затем поменять папку langfiles нужного сайта). Возможность создать сайт на нескольких языках (через многосайтовость).\r\nРедактор шаблонов и CSS.\r\nВозможность указать начальную страницу, ключевые слова и описание для всего сайта, включить/отключить антифлуд по картинке.\r\nСистема управления смайликами (для подключаемых модулей).\r\nФрагменты кода. Вставляются на страницы или в шаблоны с помощью специальных тегов. Это могут быть или повторяющиеся фрагменты кода, или области сайта.\r\nПоиск (сюда могут интегрироваться модули).\r\nКарта сайта на основе меню.', 'a:1:{s:6:"l_name";s:31:"Список :: особенности CMS Ortus";}', 4, 9),
(12, 'p_just', 'text', 'фаыв', '', 1, 5),
(37, 'h2', 'text', 'Системные требования', '', 5, 9),
(38, 'ul_mark', 'list', 'web-сервер Apache\r\nphp 4.1 и выше\r\nmysql 4.1 и выше', 'a:1:{s:6:"l_name";s:33:"CMS Ortus :: системные требования";}', 6, 9),
(40, 'h1', 'text', 'Документация', '', 1, 12),
(41, 'h2', 'text', 'Руководства How To (мини-faq''и по отдельным вопросам)', '', 2, 12),
(42, 'h3', 'text', '[url=index.php?ortupg=17]Многосайтовость, пошаговая инструкция создания ведомого сайта[/url]', '', 3, 12),
(43, 'h3', 'text', '[url=index.php?ortupg=18]Многоязыковая поддержка, вопросы и ответы[/url]', '', 4, 12),
(44, 'h1', 'text', 'Многосайтовость, пошаговая инструкция создания ведомого сайта', '', 1, 17),
(45, 'h2', 'text', 'Как сменить язык интерфейса сайта?', '', 2, 17),
(46, 'ol_numbers', 'list', 'Скачать файл интерфейса (language pack) или перевести содержимое папки langfiles.\r\nЗаменить папку langfiles в корневой директории сайта.', 'a:1:{s:6:"l_name";s:5:"list1";}', 3, 17),
(47, 'h2', 'text', 'Можно ли создать сайт на нескольких языках?', '', 4, 17),
(48, 'p_just', 'text', 'Да, но для него придется создать отдельный ведомый сайт. У двух версий сайтов будет общий движок и адмника, а содержимое и дизайн разными.', '', 5, 17),
(49, 'h2', 'text', 'Что означают префиксы adm_ и pub_ у языковых файлов в папке langfiles?', '', 6, 17),
(50, 'p_just', 'text', 'Файлы с префиксом adm_ подключаются в адмние, файлы с префиксом pub_ - в пользовательской части. Файлы с префиксом pub_adm_ подключаются и в пользовательской части, и в админе.', '', 7, 17),
(51, 'h1', 'text', 'Многосайтовость, пошаговая инструкция создания ведомого сайта :: блоки текста', '', 1, 18),
(52, 'p_just', 'text', '<p>В этом примере мы будем использовать многосайтовость для создания английской версии уже имеющегося сайта. Русская версия будет располагаться на ведущем сайте (с папкой engine, где содержаться модули движка), например, http://site.ru. Английскую версию мы уберем в поддиректорию eng/ Таким образом ее адрес будет таким http://site.ru/eng Разберем поэтапно его настройку.</p>\r\n<ol type=''1''>\r\n<li>Создайте поддиректорию eng в корневой директории http://site.ru</li>\r\n<li>Поменяйте права на директорию eng: 0777</li>\r\n<li>Перейдите систему администрирования. Выберите пункт меню "Сайты". Нажмите на опцию "Добавить".</li>\r\n<li>Заполните форму, нажмите на кнопку "Подтвердить":</li>\r\n  <ol type=''a''>\r\n    <li>Название сайта - имя конфигурационного файла. Можно ввести eng.</li>\r\n    <li>URL адрес сайта - абсолютный url сайта: http://site.ru/eng</li>\r\n    <li>Относительный путь от корня сайта ведущего к корню сайта ведомого, включая название директории сайта ведомого (с конечным слэшем): введите eng/</li>\r\n    <li>Относительный путь от корня сайта ведомого к корню сайта ведущего, включая название директории сайта ведущего (с конечным слэшем): введите ../</li>\r\n    <li>Заполните параметры соединения с базой. Система умеет сама создавать базы.</li>\r\n  </ol>\r\n<li>Перейдите в админку сайта http://site.ru/eng/index.php?adm=main для настройки шаблонов и редактирования содержимого. Модули движка будут подключаться с сайта http://site.ru</li>\r\n</ol>\r\n<h2>Важно!!!</h2>\r\n<p>Можно размещать ведомые сайты на отдельных хостах. Единственное условие - расположение сайтов на одном сервере. На некоторых хостингах может возникнуть проблема с доступом.\r\nДиректория сайта ведомого должна быть доступна для скриптов сайта ведущего (и наоборот).</p>', '', 2, 18),
(53, 'h1', 'text', 'Downloads', '', 1, 19),
(54, 'p_just', 'text', '<h2>Дистрибутивы системы</h2>\r\n<table class=''SiteTbl'' width=''800'' cellspacing=''0'' cellpadding=''0'' border=''0''>\r\n  <tr>\r\n    <td class=''SiteTblTH''>версия</td>\r\n    <td class=''SiteTblTH''>описание</td>\r\n    <td class=''SiteTblTH''>дата</td>\r\n    <td class=''SiteTblTH''>скачать</td>\r\n  </td>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>1.0</td>\r\n    <td class=''SiteTblLeft''>Самый первый дистрибутив системы</td>\r\n    <td class=''SiteTblLeft''>11 ноября 2007</td>\r\n    <td class=''SiteTblLeft''><a href=''files/ortus1-0.rar''>скачать</a></td>\r\n  </td>\r\n</table>\r\n\r\n<h2>Модули</h2>\r\n<table class=''SiteTbl'' width=''800'' cellspacing=''0'' cellpadding=''0'' border=''0''>\r\n  <tr>\r\n    <td class=''SiteTblTH''>название</td>\r\n    <td class=''SiteTblTH''>описание</td>\r\n    <td class=''SiteTblTH'' width=''250''>версии</td>\r\n  </td>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Форма</td>\r\n    <td class=''SiteTblLeft''>Стандартная форма запроса. Возможность указать e-mail отправки через web-интерфейс</td>\r\n    <td class=''SiteTblLeft''>1.0 для CMS 1.0 <a href=''files/form1-0.rar''>скачать</a></td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Новостная лента</td>\r\n    <td class=''SiteTblLeft''>Обновляемая лента новостей. Архив новостей. BB-теги.</td>\r\n    <td class=''SiteTblLeft''>1.0 для CMS 1.0 <a href=''files/news1-0.rar''>скачать</a></td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Гостевая книга</td>\r\n    <td class=''SiteTblLeft''>Простейший модуль, обеспечивающий обратную связь с посетителями. Поддержка смайликов. Комментарий админа.</td>\r\n    <td class=''SiteTblLeft''>1.0 для CMS 1.0 <a href=''files/gb1-0.rar''>скачать</a></td>\r\n  </tr>\r\n  <tr>\r\n    <td class=''SiteTblLeft''>Spaw editor для таблиц</td>\r\n    <td class=''SiteTblLeft''>Урезанная версия Spaw Editor 2.0. Позволяет форматировать таблицы в Antf Blockeditor.</td>\r\n    <td class=''SiteTblLeft''>1.0 для CMS 1.0 <a href=''files/spaw1-0.rar''>скачать</a></td>\r\n  </tr>\r\n</table>\r\n\r\n<h2>Шаблоны сайта</h2>\r\n<p>В разработке.</p>\r\n\r\n<h2>Language pack''и</h2>\r\n<p>Русский language pack поставляется со всеми версиями основного дистрибутива.</p>', '', 2, 19),
(57, 'p_just', 'text', '<br>Использование местоимения "я" вместо "мы" объясняется желанием выдержать текст в едином стиле.<br>', '', 2, 21),
(58, 'h1', 'text', 'Статьи', '', 1, 20),
(59, 'h3', 'text', '[url=index.php?ortupg=21]Сравнительная характеристика CMS Proteus и CMS Ortus[/url]', '', 2, 20),
(60, 'p_just', 'text', 'Почему мы решили написать новую CMS с нуля, а не выпустили очередную версию CMS Proteus. Ответы на эти вопросы ищите в этой статье.', '', 3, 20),
(61, 'h1', 'text', 'Обо мне', '', 1, 22),
(62, 'p_just', 'text', '<br><img src=''images/antf.jpg'' alt=''Антон Федорченко (antf), сангина, черно-белая''><br>\r\n<p>Антон Федорченко (antf) собственной персоной, портрет, сангина, черно-белая версия. Автор Михаил Абрамов. </p>', '', 2, 22);

#is_separator

CREATE TABLE `pages_images` (
  `id_img` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `text` text NOT NULL,
  `img_min` tinytext,
  `img_max` tinytext,
  `pos` int(11) default NULL,
  `id_pg` int(11) default NULL,
  `id_block` int(11) NOT NULL,
  PRIMARY KEY  (`id_img`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

#is_separator

CREATE TABLE `parts` (
  `id_part` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `pos` int(11) default NULL,
  `id_part_prec` int(11) default NULL,
  `id_tpl` int(11) NOT NULL,
  PRIMARY KEY  (`id_part`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

#is_separator

INSERT INTO `parts` (`id_part`, `title`, `pos`, `id_part_prec`, `id_tpl`) VALUES
(12, 'Статьи', 3, 0, 0),
(11, 'Документация', 2, 0, 0),
(10, 'Основной раздел', 1, 0, 0);

#is_separator

CREATE TABLE `parts_items` (
  `id_item` int(11) NOT NULL auto_increment,
  `i_type` enum('mod','page') default NULL,
  `title` tinytext,
  `mod_name` tinytext,
  `params` text,
  `pos` int(11) NOT NULL,
  `id_part` int(11) NOT NULL,
  PRIMARY KEY  (`id_item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=23 ;

#is_separator

INSERT INTO `parts_items` (`id_item`, `i_type`, `title`, `mod_name`, `params`, `pos`, `id_part`) VALUES
(22, 'page', 'обо мне', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 7, 10),
(20, 'page', 'статьи', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 6, 10),
(21, 'page', 'Сравнительная характеристика CMS Ortus и CMS Proteus', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 1, 12),
(19, 'page', 'скачать', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 5, 10),
(16, 'page', 'новости', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 1, 10),
(9, 'page', 'о системе', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 2, 10),
(17, 'page', 'how to :: многоязыковая поддержка, вопросы и ответы', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 1, 11),
(12, 'page', 'документация', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 4, 10),
(18, 'page', 'how to :: многосайтовость, пошаговая инструкция создания ведомого сайта', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 2, 11),
(15, 'page', 'лицензия', NULL, 'a:2:{s:5:"descr";s:0:"";s:8:"keywords";s:0:"";}', 3, 10);

#is_separator

CREATE TABLE `parts_perm_den` (
  `id_perm` int(11) NOT NULL auto_increment,
  `id_group` int(11) default NULL,
  `id_part` int(11) default NULL,
  `act` tinytext NOT NULL,
  PRIMARY KEY  (`id_perm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

#is_separator

CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `begin_id_item` int(11) default NULL,
  `site_title` text NOT NULL,
  `descr` text NOT NULL,
  `keywords` tinytext NOT NULL,
  `img_antiflood` enum('yes','no') NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

#is_separator

INSERT INTO `settings` (`id`, `begin_id_item`, `site_title`, `descr`, `keywords`, `img_antiflood`) VALUES
(1, 9, 'Тестовый сайт', 'Lorem ipsum', 'aaaa, bbbb, cccc, dddd,', 'no');

#is_separator

CREATE TABLE `sitetpl` (
  `id_tpl` int(11) NOT NULL auto_increment,
  `title` tinytext,
  `file` tinytext,
  `pos` int(11) default NULL,
  `maintpl` enum('yes','no') NOT NULL,
  PRIMARY KEY  (`id_tpl`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

#is_separator

INSERT INTO `sitetpl` (`id_tpl`, `title`, `file`, `pos`, `maintpl`) VALUES
(1, 'Основной шаблон', 'main', 1, 'yes');

#is_separator

CREATE TABLE `smiles` (
  `id_smile` int(32) NOT NULL auto_increment,
  `emotion` tinytext,
  `code` tinytext,
  `img_name` tinytext,
  `width` int(4) default NULL,
  `height` int(4) default NULL,
  `pos` int(4) default NULL,
  PRIMARY KEY  (`id_smile`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

#is_separator

INSERT INTO `smiles` (`id_smile`, `emotion`, `code`, `img_name`, `width`, `height`, `pos`) VALUES
(7, 'Question', ':?:', 'question.gif', 15, 15, 1),
(8, 'Exclamation', ':!:', 'exclamation.gif', 15, 15, 2),
(9, 'Wink', ':wink:', 'wink.gif', 15, 15, 3),
(10, 'Rolling Eyes', ':roll:', 'rolling_eyes.gif', 15, 15, 4),
(11, 'Twisted ewil', ':twisted:', 'twisted_evil.gif', 15, 15, 5),
(12, 'Evil or Very Mad', ':evil:', 'evil_of_very_mad.gif', 15, 15, 6),
(13, 'Crying or Very sad', ':cry:', 'crying_of_very_sad.gif', 15, 15, 7),
(14, 'Embrased', ':oops:', 'embrased.gif', 15, 15, 8),
(15, 'Razz', ':P', 'razz.gif', 15, 15, 9),
(16, 'Mad', ':x', 'mad.gif', 15, 15, 10),
(17, 'Laughing', ':lol:', 'laughing.gif', 15, 15, 11),
(18, 'Cool', '8)', 'cool.gif', 15, 15, 12),
(19, 'Confused', ':?', 'confused.gif', 15, 15, 13),
(20, 'Shocked', '%)', 'shocked.gif', 15, 15, 14),
(21, 'Surprised', ':o', 'surprised.gif', 15, 15, 15);

#is_separator

CREATE TABLE `users` (
  `id_user` int(32) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  `login` tinytext,
  `psw` tinytext,
  `group` tinytext,
  `email` tinytext,
  `city` tinytext,
  `info` text,
  `subscribe` enum('yes','no') NOT NULL default 'yes',
  `reg_date` datetime NOT NULL,
  `activated` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

#is_separator

INSERT INTO `users` (`id_user`, `name`, `login`, `psw`, `group`, `email`, `city`, `info`, `subscribe`, `reg_date`, `activated`) VALUES
(2, 'admin', 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin', 'antf@pochta.ru', NULL, '', 'yes', '2008-05-13 03:04:23', 'yes');

#is_separator

CREATE TABLE `regform_fields` (
  `id_field` int(32) NOT NULL auto_increment,
  `field_name` tinytext,
  `type` tinytext,
  `caption` tinytext,
  `oblig` enum('yes','no') default NULL,
  `params` mediumtext,
  `pos` int(11) default NULL,
  `in_users_list` enum('yes','no') NOT NULL default 'no',
  PRIMARY KEY  (`id_field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

#is_separator

INSERT INTO `regform_fields` (`id_field`, `field_name`, `type`, `caption`, `oblig`, `params`, `pos`, `in_users_list`) VALUES
(16, 'city', 'text', 'City', 'no', 'a:1:{s:13:"default_value";s:0:"";}', 1, 'yes');

#is_separator

CREATE TABLE `new_passwords` (
  `id_psw` int(11) NOT NULL auto_increment,
  `id_user` int(11) default NULL,
  `code` int(11) default NULL,
  `new_psw` tinytext,
  PRIMARY KEY  (`id_psw`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;